Subject: (No Subject)
From: "High Priestess Spork Prophet" <[email-masked]>
To: "Ranma ML" <[email-masked]>
Date: Wed, 03 May 2000 20:55:22 -0700

I know that this is kinda going to kill SoW's argument, most of which I agree with, but I have to say this. A few years ago the local public broadcast station (which touts itself as the second largest U.S. PBS) ran Tenchi TV three times in a row, with nary an outcry from anyone. I agree that Cartoon Network is a wee bit larger than any old PBS, but if no one cared three years ago, no one should care now. And I speak mostly of the upity fanatics that you spoke of, most of whom unfortunatly hold political office.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
The High Priestess Spork Prophet in the Church of Nothingness
(We cut out the middle man so we can bring god to you at a cheeper price)
T.A.A.T.M. / U.S.U.R.P.
Official Clapper of Hinkao-sensei's erasers

Angelfire for your free web-based e-mail. http://www.angelfire.com